from flask_jwt_extended import jwt_required
from flask_restful import Resource

from portal.service import auth, permissions
from portal.service.errors import ForbiddenError
from portal.tools.decorators import error_handler


class NotificationResource(Resource):
    @error_handler
    @jwt_required
    def post(self, notification_type):
        client = auth.find_client()

        if not (permissions.check_sysadmin(client) or
                permissions.check_component(component=client)):
            raise ForbiddenError(uid=client.id)
