from flask import request

from portal.service.errors import DataMissingError


def parse_request_data(schema, action: str, resource: str) -> dict:
    json_data = require_data(action, resource=resource)
    return schema.load(json_data)[0]


def require_data(action, resource):
    json_data = request.get_json()
    if not json_data:
        raise DataMissingError(action=action, resource=resource)
    return json_data
