import os
import pytest

from portal import create_app
from run import register_blueprints
from sample_data.data_init import init_data
from portal import db


@pytest.fixture(scope='function')
def app():
    os.environ["PORTAL_CONFIG_TYPE"] = 'test'
    _app = create_app()
    register_blueprints(_app)
    from tests import init_db
    init_db(_app)
    with _app.app_context():
        init_data(_app, db)
        yield _app
        db.session.remove()
        db.drop_all()


@pytest.fixture(scope='function')
def client(app):
    with app.test_client() as _client:
        yield _client
